/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_SIST                                                     */
/* Tabela : SISTEMA                                                           */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_SIST'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_SIST
GO

CREATE TRIGGER DTULTATU_SIST
ON SISTEMA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'SISTEMA', null, 'CDSISTEMA=' + CDSISTEMA + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE SISTEMA
      SET DTULTATUSIST = GETDATE()
      FROM INSERTED;
   END;
END;
GO

